k = k_ss;
y = y_ss;
w = w_ss;
rs = rs_ss;
lambdac = lambdac_ss;
l = l_ss;
r = r_ss;
rmon = r_ss; 
n = n_ss;
eta = eta_ss;
v = v_ss;
s = s_ss;
in = in_ss;
ig = ig_ss;
q = q_ss;
c = c_ss;
gc = gc_ss;
z = 0; 
spread =spreadp;
l2n = s_ss/n_ss;
infl = infl_ss;
sigma = 1;
phi = 0;
dphidp = 0;
dphidlp = 0;
lambda = lambdap;
bt = 0;
n2y = n/y;
betavar = betap;
cpref = 0;
rpot = r_ss;
Util1 = log(c_ss-gammap*c_ss)-chi0p*l_ss^(chip+1)/(chip+1);
Util2 = log(c_ss-gammap*c_ss)-chi0p*l_ss^(chip+1)/(chip+1);
Util_nobias = log(c_ss-gammap*c_ss)-chi0p*l_ss^(chip+1)/(chip+1);
Welf_nobias = Util_nobias/(1-betap);
Welf = Welf_nobias;
markup = 0;
Welf1 = Util1/(1-nbeta); 
Welf2 = Util2/(1-nbeta); 
Util = omega_welf1*Util1 + omega_welf2*Util2; 
Welf = Util/(1-nbeta); 
instr1 = infl;
instr2 = bt;btlag =bt; 
btlag2 =bt; 
clag =c; 
clag2 =c; 
etalag =eta; 
etalag2 =eta; 
iglag =ig; 
iglag2 =ig; 
infllag =infl; 
infllag2 =infl; 
klag =k; 
klag2 =k; 
llag =l; 
llag2 =l; 
rmonlag =rmon; 
rmonlag2 =rmon; 
qlag =q; 
qlag2 =q; 
rlag =r; 
rlag2 =r; 
nlag =n; 
nlag2 =n; 
slag =s; 
slag2 =s; 
vlag =v; 
vlag2 =v; 
ylag =y; 
ylag2 =y; 

nvars = M_.endo_nbr;
for i_indx = 1:nvars
  varstring = M_.endo_names{i_indx}; 
  if isempty(strfind(varstring,'mult')) && isempty(strfind(varstring,'AUX')) && isempty(strfind(varstring,'Welfcorrection'))
      eval([varstring,'_ss = ',varstring,';']);
  end   
end
rbcb_monprud_ramsey_infl_bt_lmss; 
lmult1=lmss_vals(1); 
lmult2=lmss_vals(2); 
lmult3=lmss_vals(3); 
lmult4=lmss_vals(4); 
lmult5=lmss_vals(5); 
lmult6=lmss_vals(6); 
lmult7=lmss_vals(7); 
lmult8=lmss_vals(8); 
lmult9=lmss_vals(9); 
lmult10=lmss_vals(10); 
lmult11=lmss_vals(11); 
lmult12=lmss_vals(12); 
lmult13=lmss_vals(13); 
lmult14=lmss_vals(14); 
lmult15=lmss_vals(15); 
lmult16=lmss_vals(16); 
lmult17=lmss_vals(17); 
lmult18=lmss_vals(18); 
lmult19=lmss_vals(19); 
lmult20=lmss_vals(20); 
lmult21=lmss_vals(21); 
lmult22=lmss_vals(22); 
lmult23=lmss_vals(23); 
lmult24=lmss_vals(24); 
lmult25=lmss_vals(25); 
lmult26=lmss_vals(26); 
lmult27=lmss_vals(27); 
lmult28=lmss_vals(28); 
lmult29=lmss_vals(29); 
lmult30=lmss_vals(30); 
lmult31=lmss_vals(31); 
lmult32=lmss_vals(32); 
lmult33=lmss_vals(33); 
lmult34=lmss_vals(34); 
lmult35=lmss_vals(35); 
lmult36=lmss_vals(36); 
lmult37=lmss_vals(37); 
lmult38=lmss_vals(38); 
lmult39=lmss_vals(39); 
lmult40=lmss_vals(40); 
lmult41=lmss_vals(41); 
lmult42=lmss_vals(42); 
